<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>About Me</title>
    <link rel="stylesheet" href="css/normalize.css"> <!-- The normalize library will help the website to look the desired way regardless of the user's web browser -->
    <link rel="stylesheet" href="css/normalize.css"> <!-- The normalize library will help the website to look the desired way regardless of the user's web browser -->
    <link rel="preload" href="css/style.css" as="style" /> <!-- Use this line to load stylesheet faster => Increase web page performance -->
    <link href="css/style.css" rel="stylesheet"/> <!-- rel = relation with current document-->
    <link rel="preload" href="css/admin_language.css" as="style" />
    <link href="css/admin_language.css" rel="stylesheet"/>
    <link rel="preload" href="css/buttons.css" as="style" />
    <link rel="preload" href="css/containersAndNav.css" as="style" />
    <link href="css/containersAndNav.css" rel="stylesheet"/>
    <link href="css/buttons.css" rel="stylesheet"/> 
    <link rel="preload" href="css/forms.css" as="style" />
    <link href="css/forms.css" rel="stylesheet"/>  
    <link rel="preload" href="css/icons.css" as="style" />
    <link href="css/icons.css" rel="stylesheet"/>
    <link rel="preload" href="css/services.css" as="style" />
    <link href="css/services.css" rel="stylesheet"/> 
    <link rel="preload" href="css/typography.css" as="style" />
    <link href="css/typography.css" rel="stylesheet"/> 
    <link rel="preload" href="css/utilities.css" as="style" />
    <link href="css/utilities.css" rel="stylesheet"/>
    <link rel="preload" href="css/images.css" as="style" />
    <link href="css/images.css" rel="stylesheet"/>
    <!-- Add external fonts from google fonts-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200&display=swap" rel="stylesheet">
    <!-- Other -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;400;500&display=swap" rel="stylesheet">
    <!-- Including too many external fonts will increase the web page's loading time -->
</head>
<body>
    <header class="hero">                                <!-- You may only use one header area and one main content area. Using multiple sections is fine-->
        <div class="hero-content">
            <h1 class="myTitle">About Me</h1>
        </div> <!-- hero-content -->
        <div class="myTopMenu top_right_corner">                                 
            <div class="w-small-100 myUser no_margin">
                <div class="languageIcon"></div>
                <select class="languageSelect" id="changeLanguage">
                    <option class="button-text" value="English">English</option>
                    <option class="button-text" value="Spanish">Español</option>
                </select>
            </div>
            <a class="w-small-100 myUser no_margin" id="authenticate" type="submit"><div class="userIcon"></div><span class="button-text" id="login_text"></span></a>
        </div>
        <div class="nav-bg">
            <nav class="myContainer Principal_Nav">                                   <!--Navigation area-->
                <a href="index.html">Home</a> <!--anchor elements require the href="link" atribute-->
                <a href="myProjects.html">My Projects</a>            <!-- href="#" means I don´t have the link yet-->
                <a href="reviews.html">My Reviews</a>
                <a href="contactMe.html">Contact Me</a>
            </nav>
        </div>
    </header>
    <main class="myContainer shadow">
        <div class="myContainer">
            <p class="center no_margin myParagraph">I'm a dedicated computer engineering student in the final stages of my academic journey. My software development toolkit encompasses Object-Oriented Programming, functional programming, parallel programming, design patterns, and problem-solving. Additionally, my software engineering skills encompass requirements analysis, version control, and a fundamental grasp of agile methodologies. Throughout my computer engineering journey, I've also acquired foundational knowledge in networking principles and computer architecture.</p>
            <p class="center no_margin myParagraph">Currently, I'm actively pursuing web development and mobile app development to complement my hardware and firmware knowledge, establishing a well-rounded foundation that enables me to seamlessly integrate hardware and software.</p>
            <p class="center no_margin myParagraph">With a background as an electronic technician, I've cultivated a strong inclination towards embedded systems. Throughout my studies, I've acquired a skillset that equips me to tackle a wide array of technological challenges. As an electronic technician, I've worked with a wide range of components and possess a foundational understanding of control systems. In the realm of operating systems, I've delved into Linux environments, device drivers, and real-time systems like FreeRTOS, allowing me to optimize software performance.</p>
            <p class="center no_margin myParagraph">I've worked with various microcontroller platforms, including PIC, ARM, Raspberry Pi, and NodeMCU ESP8266. I've also mastered programming languages like C and Assembly, providing me with a solid foundation for designing efficient and reliable embedded systems.</p>
            <p class="center no_margin myParagraph">My overarching goal is to continue contributing at the intersection of these domains, shaping the future of technology.</p>
        </div>
        <div class="myContainer">
            <h3 class="center no_margin">My CV</h3>
            <iframe id="pdf-viewer" src="cv/my_CV_English.pdf" width="100%" height="500px" scrolling="auto"></iframe>
        </div>
    </main><!-- myContainer shadow -->
    <footer class="footer">
        <p>All rights reseved</p>
    </footer><!-- .footer -->
    <script>
        document.addEventListener("DOMContentLoaded", function () {
        const languageSelect = document.getElementById("changeLanguage");

        languageSelect.addEventListener("change", function () {
            const selectedValue = languageSelect.value;

            if (selectedValue === "English") {
            window.location.href = "aboutMe.html"; // Change to the English page
            } else if (selectedValue === "Spanish") {
            window.location.href = "aboutMeSpanish.html"; // Change to the Spanish page
            }
        });
        });
    </script>
    <script src="js/modernizr.js"></script>
    <script src="js/common.bundle.js"></script>
    <script src="js/aboutMe.bundle.js"></script>
</body>
</html>